using DxBlazorApplication2.AS400Kommunikation;

namespace DxBlazorApplication2.Data.Produktion
{
    /// <summary>
    /// Firma
    /// </summary>
    public class TabellenItem
    {
        /// <summary>
        /// Key
        /// </summary>
        public string TABKEY {  get; set; }
        /// <summary>
        /// Text
        /// </summary>
        public string TABTEXT { get; set; }
        /// <summary>
        /// Daten
        /// </summary>
        public string TABDATA { get; set; }

        public TabellenItem()
        {
        }

        public TabellenItem(AS400Connector loader)
        {
            string prefix = loader.Prefix;
            TABKEY = loader.GetString(prefix + "KEY");
            TABTEXT = loader.GetString(prefix + "TEXT");
            TABDATA = loader.GetString(prefix + "DATA");
        }
    }
}
